com.taosdata.jdbc.rs

## Class ConnectionParam

- java.lang.Object
- - com.taosdata.jdbc.rs.ConnectionParam

    public class ConnectionParam
    extends Object

### Nested Class Summary

Nested Classes
`static class` `ConnectionParam.Builder`

### Field Summary

Fields
`static int` `CONNECT_MODE_BI`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getCloudToken()`
`int` `getConnectMode()`
`int` `getConnectTimeout()`
`String` `getDatabase()`
`String` `getHost()`
`int` `getMaxRequest()`
`static ConnectionParam` `getParam(Properties properties)`
`String` `getPassword()`
`String` `getPort()`
`int` `getReconnectIntervalMs()`
`int` `getReconnectRetryCount()`
`int` `getRequestTimeout()`
`String` `getSlaveClusterHost()`
`String` `getSlaveClusterPort()`
`String` `getTz()`
`String` `getUser()`
`boolean` `isDisableSslCertValidation()`
`boolean` `isEnableAutoConnect()`
`boolean` `isEnableCompression()`
`boolean` `isUseSsl()`
`void` `setCloudToken(String cloudToken)`
`void` `setConnectMode(int connectMode)`
`void` `setConnectTimeout(int connectTimeout)`
`void` `setDatabase(String database)`
`void` `setDisableSslCertValidation(boolean disableSslCertValidation)`
`void` `setEnableAutoConnect(boolean enableAutoConnect)`
`void` `setEnableCompression(boolean enableCompression)`
`void` `setHost(String host)`
`void` `setMaxRequest(int maxRequest)`
`void` `setPassword(String password)`
`void` `setPort(String port)`
`void` `setReconnectIntervalMs(int reconnectIntervalMs)`
`void` `setReconnectRetryCount(int reconnectRetryCount)`
`void` `setRequestTimeout(int requestTimeout)`
`void` `setSlaveClusterHost(String slaveClusterHost)`
`void` `setSlaveClusterPort(String slaveClusterPort)`
`void` `setTz(String tz)`
`void` `setUser(String user)`
`void` `setUseSsl(boolean useSsl)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONNECT_MODE_BI

    public static final int CONNECT_MODE_BI

See Also:
  Constant Field Values

### Method Detail

#### getHost

    public String getHost()

#### setHost

    public void setHost(String host)

#### getPort

    public String getPort()

#### setPort

    public void setPort(String port)

#### getDatabase

    public String getDatabase()

#### setDatabase

    public void setDatabase(String database)

#### getCloudToken

    public String getCloudToken()

#### setCloudToken

    public void setCloudToken(String cloudToken)

#### getUser

    public String getUser()

#### setUser

    public void setUser(String user)

#### getPassword

    public String getPassword()

#### setPassword

    public void setPassword(String password)

#### getTz

    public String getTz()

#### setTz

    public void setTz(String tz)

#### isUseSsl

    public boolean isUseSsl()

#### setUseSsl

    public void setUseSsl(boolean useSsl)

#### getMaxRequest

    public int getMaxRequest()

#### setMaxRequest

    public void setMaxRequest(int maxRequest)

#### getConnectTimeout

    public int getConnectTimeout()

#### setConnectTimeout

    public void setConnectTimeout(int connectTimeout)

#### getRequestTimeout

    public int getRequestTimeout()

#### setRequestTimeout

    public void setRequestTimeout(int requestTimeout)

#### getConnectMode

    public int getConnectMode()

#### setConnectMode

    public void setConnectMode(int connectMode)

#### isEnableCompression

    public boolean isEnableCompression()

#### setEnableCompression

    public void setEnableCompression(boolean enableCompression)

#### getSlaveClusterHost

    public String getSlaveClusterHost()

#### setSlaveClusterHost

    public void setSlaveClusterHost(String slaveClusterHost)

#### getSlaveClusterPort

    public String getSlaveClusterPort()

#### setSlaveClusterPort

    public void setSlaveClusterPort(String slaveClusterPort)

#### getReconnectIntervalMs

    public int getReconnectIntervalMs()

#### setReconnectIntervalMs

    public void setReconnectIntervalMs(int reconnectIntervalMs)

#### getReconnectRetryCount

    public int getReconnectRetryCount()

#### setReconnectRetryCount

    public void setReconnectRetryCount(int reconnectRetryCount)

#### isEnableAutoConnect

    public boolean isEnableAutoConnect()

#### setEnableAutoConnect

    public void setEnableAutoConnect(boolean enableAutoConnect)

#### isDisableSslCertValidation

    public boolean isDisableSslCertValidation()

#### setDisableSslCertValidation

    public void setDisableSslCertValidation(boolean disableSslCertValidation)

#### getParam

    public static ConnectionParam getParam(Properties properties)
                                    throws SQLException

Throws:
  `SQLException`